# Ports collection makefile for: gnugadu
# Date created:		06 April 2003
# Whom: 		piero@poprostu.pl
#
# $FreeBSD: ports/net/gnugadu/Makefile,v 1.6 2003/02/21 13:14:42 knu Exp $
#

PORTNAME=	gnugadu
PORTVERSION=	1.0.0
CATEGORIES=	net
MASTER_SITES=	ftp://ftp.slackware.pl/pub/gg/
DISTNAME=	gg-${PORTVERSION}

MAINTAINER=	doc@lublin.t1.pl
COMMENT=	A GaduGadu client for X11/GTK

WRKSRC=	${WRKDIR}/gg-${PORTVERSION}

GNU_CONFIGURE=	yes
USE_GMAKE=	yes
USE_GTK=	yes
USE_GNOME=	gtk12 glib12
WANT_GNOME=	yes

.include <bsd.port.pre.mk>
# ./configure --help
#  --disable-esd           Turn off ESD (default=auto)
#  --enable-arts           Turn on aRts! sound support (default=no)
#  --enable-gnome          Turn on GNOME support (default=no)
#  --enable-panel          Turn on GNOME applet support (default=no)
#  --enable-dockapp        Turn on WindowMaker DockApp support, experimental! (default=no)
#  --enable-docklet        Turn on KDE and possibly others Docklet support (default=no)
#  --enable-xmms           Turn on XMMS Playlist in description (default=no)

# is this correct? maybe better put aRts by KDE?
.if ${HAVE_GNOME:Mesound}!=""
USE_GNOME+=	esound
PKGNAMESUFFIX=	-esound
.else
  .if defined(WITH_ARTS)
    ## add aRts as dependent? 
    CONFIGURE_ARGS+=	--enable-arts
  .endif
CONFIGURE_ARGS+=	--disable-esd
.endif

.if ${HAVE_GNOME:Mlibpanel}!=""
CONFIGURE_ARGS+=	--enable-panel
USE_GNOME+=		libpanel
.endif

.if defined(WITH_GNOME)
CONFIGURE_ARGS+=	--enable-gnome
USE_GNOME=	yes
.endif

# I'm being doubtful about this part
# is there any common check to verify KDE installed?
.if defined(USE_KDEBASE_VER)
CONFIGURE_ARGS+=	--enable-docklet
.endif

.if defined(WITH_DOCKAPP)
CONFIGURE_ARGS+=	--enable-dockapp
.endif

.if defined(WITH_XMMS)
CONFIGURE_ARGS+=	--enable-xmms
.endif

pre-everything::
	@${ECHO} ""
	@${ECHO} "You may define the following build options:"
	@${ECHO} ""
	@${ECHO} "    WITH_GNOME       Enable GNOME support"
	@${ECHO} "    WITH_DOCKAPP     Enable WindowMaker support"
	@${ECHO} "    WITH_ARTS        Enable KDE aRts! support instead of esd"
	@${ECHO} "    WITH_XMMS        Enable XMMS playlist in status description"
	@${ECHO} ""
	@${ECHO} "    USE_KDEBASE_VER  If defined, enables docklet support for KDE"
	@${ECHO} ""

post-patch:
	@${PERL} -pi -e 's,CFLAGS =, CFLAGS += \@GTK_CFLAGS\@,; \
		s,GTK_ CFLAGS,GTK_CFLAGS,' ${WRKSRC}/Makefile.in \
		${WRKSRC}/src/Makefile.in
	@${PERL} -pi -e 's,-O2,,; s,gtk-config,${GTK_CONFIG},' \
		${WRKSRC}/configure

# unnecessary? stripping is said to be proceeded while install
post-install:
	     strip ${PREFIX}/bin/gg

.include <bsd.port.post.mk>
